Bug 1859678 - [4.5.z] etcd-operator continuously tries and fails to connect to defunct bootstrap etcd member endpoint
Summary: [4.5.z] etcd-operator continuously tries and fails to connect to defunct boot...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.z
Assignee: Sam Batschelet
QA Contact: ge liu
URL:
Whiteboard:
Depends On: 1832923
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-22 16:55 UTC by Pablo Alonso Rodriguez
Modified: 2020-09-08 10:54 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1832923
Environment:
Last Closed: 2020-09-08 10:54:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 401 None closed Bug 1859678: Forget bootstrap etcd member IP after bootstrap 2020-09-11 13:08:26 UTC
Red Hat Product Errata RHBA-2020:3510 None None None 2020-09-08 10:54:26 UTC

Comment 2 Dan Mace 2020-07-27 14:51:20 UTC
Pablo, thanks for taking care of the backport!

Comment 4 Dan Mace 2020-08-10 20:17:56 UTC
https://github.com/openshift/cluster-etcd-operator/pull/401 is just waiting on backport approval.

Comment 9 ge liu 2020-09-02 03:58:46 UTC
Verified with 4.5.0-0.nightly-2020-08-31-101523:

# oc describe cm etcd-endpoints
Name:         etcd-endpoints
Namespace:    openshift-etcd
Labels:       <none>
Annotations:  <none>

Data
====
MTAuMC4xNTcuNzA:
----
10.0.157.70
MTAuMC4xOTAuMjU0:
----
10.0.190.254
MTAuMC4yMTYuMzg:
----
10.0.216.38
Events:  <none>


# oc edit ep etcd -n openshift-etcd

# Please edit the object below. Lines beginning with a '#' will be ignored,
# and an empty file will abort the edit. If an error occurs while saving this file will be
# reopened with the relevant failures.
#
apiVersion: v1
kind: Endpoints
metadata:
  annotations:
    endpoints.kubernetes.io/last-change-trigger-time: "2020-09-02T02:39:07Z"
  creationTimestamp: "2020-09-02T01:21:01Z"
  labels:
    k8s-app: etcd
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:endpoints.kubernetes.io/last-change-trigger-time: {}
        f:labels:
          .: {}
          f:k8s-app: {}
      f:subsets: {}
    manager: kube-controller-manager
    operation: Update
    time: "2020-09-02T02:39:07Z"
  name: etcd
  namespace: openshift-etcd
  resourceVersion: "51941"
  selfLink: /api/v1/namespaces/openshift-etcd/endpoints/etcd
  uid: fe436e66-b3a1-44f6-a935-c6b39e3c4409
subsets:
- addresses:
  - ip: 10.0.157.70
    nodeName: ip-10-0-157-70.us-east-2.compute.internal

Comment 11 errata-xmlrpc 2020-09-08 10:54:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.8 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3510


Note You need to log in before you can comment on or make changes to this bug.